petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESGetFunctionNorm

Gets the last computed norm of the residual

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetFunctionNorm(SNES snes, PetscReal *norm)

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

norm -the last computed residual norm

### See Also

SNESSetNormSchedule(), SNESComputeFunction(), VecNorm(), SNESSetFunction(), SNESSetInitialFunction(), SNESNormSchedule

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages